
singleton Material(campervan)
{
    mapTo = "campervan";
    diffuseMap[2] = "vehicles/van/campervan77_txt/campervan_c.dds";
    specularMap[2] = "vehicles/van/campervan77_txt/campervan_s.dds";
    normalMap[2] = "vehicles/van/campervan77_txt/campervan_n.dds";
    diffuseMap[1] = "vehicles/van/campervan77_txt/campervan_d.dds";
    specularMap[1] = "vehicles/van/campervan77_txt/campervan_s.dds";
    normalMap[1] = "vehicles/van/campervan77_txt/campervan_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/campervan77_txt/campervan_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";

};

singleton Material(campervan_interior)
{
    mapTo = "campervan_interior";
   diffuseMap[1] = "vehicles/van/campervan77_txt/campervan_interior_d.dds";
   specularMap[1] = "vehicles/van/campervan77_txt/campervan_interior_s.dds";
   normalMap[1] = "vehicles/van/campervan77_txt/campervan_interior_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/van/campervan77_txt/campervan_interior_n.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "32";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";

};

singleton Material("campervan.skin.rv_upfit")
{
    mapTo = "campervan.skin.rv_upfit";
    colorPaletteMap[2] = "vehicles/van/campervan77_txt/campervan_skin_rv_upfit_palette_uv1.dds";
    overlayMap[2] = "vehicles/van/campervan77_txt/campervan_skin_rv_upfit.dds";
    diffuseMap[2] = "vehicles/van/campervan77_txt/campervan_c.dds";
    specularMap[2] = "vehicles/van/campervan77_txt/campervan_s.dds";
    normalMap[2] = "vehicles/van/campervan77_txt/campervan_n.dds";
    diffuseMap[1] = "vehicles/van/campervan77_txt/campervan_d.dds";
    specularMap[1] = "vehicles/van/campervan77_txt/campervan_s.dds";
    normalMap[1] = "vehicles/van/campervan77_txt/campervan_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/campervan77_txt/campervan_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("van.skin.rv_upfit")
{
    mapTo = "van.skin.rv_upfit";
    colorPaletteMap[2] = "vehicles/van/campervan77_txt/van_skin_rv_upfit_palette_uv1.dds";
    overlayMap[2] = "vehicles/van/campervan77_txt/van_skin_rv_upfit.dds";
    diffuseMap[2] = "vehicles/van/van_c.dds";
    specularMap[2] = "vehicles/van/van_s.dds";
    normalMap[2] = "vehicles/van/van_n.dds";
    diffuseMap[1] = "vehicles/van/van_d.dds";
    specularMap[1] = "vehicles/van/van_s.dds";
    normalMap[1] = "vehicles/van/van_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(steelwheel_04a_chrome)
{
    mapTo = "steelwheel_04a_chrome";
    diffuseMap[1] = "vehicles/van/campervan77_txt/steelwheel_04a_chrome_d.dds";
    specularMap[1] = "vehicles/van/campervan77_txt/steelwheel_04a_chrome_s.dds";
    normalMap[1] = "vehicles/common/wheels/steelwheel_04a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/wheels/steelwheel_04a_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "2 2 2 0.3";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(steelwheel_04a)
{
    mapTo = "steelwheel_04a";
    diffuseMap[1] = "vehicles/common/wheels/steelwheel_04a_chrome_d.dds";
    specularMap[1] = "vehicles/common/wheels/steelwheel_04a_chrome_s.dds";
    normalMap[1] = "vehicles/common/wheels/steelwheel_04a_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/wheels/steelwheel_04a_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "2 2 2 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(caravan)
{
    mapTo = "caravan";
    diffuseMap[1] = "vehicles/caravan/caravan_d.dds";
    specularMap[1] = "vehicles/caravan/caravan_s.dds";
    normalMap[1] = "vehicles/caravan/caravan_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/caravan/caravan_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(caravan_propanetank)
{
   mapTo = "propanetank";
   diffuseMap[1] = "vehicles/caravan/propanetank_d.dds";
   specularMap[1] = "vehicles/caravan/propanetank_s.dds";
   normalMap[1] = "vehicles/caravan/propanetank_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/caravan/propanetank_s.dds";
   normalMap[0] = "vehicles/caravan/propanetank_n.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "32";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(caravan_interior_extra)
{
   mapTo = "caravan_interior_extra";
   diffuseMap[1] = "vehicles/caravan/caravan_interior_extra_d.dds";
   specularMap[1] = "vehicles/caravan/caravan_interior_extra_s.dds";
   normalMap[1] = "vehicles/caravan/caravan_interior_extra_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/caravan/caravan_interior_extra_n.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "32";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(caravan_interior)
{
   mapTo = "caravan_interior";
   diffuseMap[1] = "vehicles/caravan/caravan_interior_d.dds";
   specularMap[1] = "vehicles/caravan/caravan_interior_s.dds";
   normalMap[1] = "vehicles/caravan/caravan_interior_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/caravan/caravan_interior_n.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "32";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(caravan_couch)
{
   mapTo = "caravan_couch";
   diffuseMap[0] = "vehicles/caravan/caravan_couch_d.dds";
   specularMap[0] = "vehicles/caravan/caravan_couch_s.dds";
   normalMap[0] = "vehicles/caravan/caravan_couch_n.dds";
   specularPower[0] = "32";
   pixelSpecular[0] = "1";
   diffuseColor[0] = "1 1 1 1";
   useAnisotropic[0] = "1";
   castShadows = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(caravan_batterybox)
{
   mapTo = "caravan_batterybox";
   diffuseMap[1] = "vehicles/caravan/caravan_batterybox_d.dds";
   specularMap[1] = "vehicles/caravan/caravan_batterybox_s.dds";
   normalMap[1] = "vehicles/caravan/caravan_batterybox_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/caravan/caravan_batterybox_s.dds";
   normalMap[0] = "vehicles/caravan/caravan_batterybox_n.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "32";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(caravan_acunit)
{
   mapTo = "caravan_acunit";
   diffuseMap[1] = "vehicles/caravan/caravan_acunit_d.dds";
   specularMap[1] = "vehicles/caravan/caravan_acunit_s.dds";
   normalMap[1] = "vehicles/caravan/caravan_acunit_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/caravan/caravan_acunit_s.dds";
   normalMap[0] = "vehicles/caravan/caravan_acunit_n.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "32";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(caravan_glass)
{
    mapTo = "caravan_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/caravan/caravan_glass_d.dds";
    opacityMap[0] = "vehicles/caravan/caravan_glass_d.dds";
    diffuseMap[1] = "vehicles/caravan/caravan_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(caravan_glass_dmg)
{
    mapTo = "caravan_glass_dmg";
    diffuseMap[0] = "vehicles/caravan/caravan_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/caravan/caravan_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/caravan/caravan_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(caravan_reverselights)
{
    mapTo = "caravan_reverselights";
    diffuseMap[1] = "vehicles/van/campervan77_txt/caravan_reverselights_d.dds";
    specularMap[1] = "vehicles/van/campervan77_txt/caravan_reverselights_s.dds";
    normalMap[1] = "vehicles/van/campervan77_txt/caravan_reverselights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/campervan77_txt/caravan_reverselights_n.dds";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(caravan_reverselights_dmg)
{
    mapTo = "caravan_reverselights_dmg";
    diffuseMap[1] = "vehicles/van/campervan77_txt/caravan_reverselights_dmg_d.dds";
    specularMap[1] = "vehicles/van/campervan77_txt/caravan_reverselights_dmg_s.dds";
    normalMap[1] = "vehicles/van/campervan77_txt/caravan_reverselights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/campervan77_txt/caravan_reverselights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(caravan_signal_R)
{
    mapTo = "caravan_signal_R";
};

singleton Material(caravan_signal_L)
{
    mapTo = "caravan_signal_L";
};

singleton Material(caravan_taillight_R)
{
    mapTo = "caravan_taillight_R";
};

singleton Material(caravan_taillight_L)
{
    mapTo = "caravan_taillight_L";
};

singleton Material(caravan_runninglight_F)
{
    mapTo = "caravan_runninglight_F";
};

singleton Material(caravan_runninglight_R)
{
    mapTo = "caravan_runninglight_R";
};

singleton Material(caravan_reverselights)
{
    mapTo = "caravan_reverselights";
};
